<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
		<AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
		<SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<OutputPath />
		<DocumentationFile>..\Performance.Api\wwwroot\Performance.Api.xml</DocumentationFile>
		<NoWarn>1701;1702;1591</NoWarn>
	</PropertyGroup>

	<PropertyGroup>
		<!-- 将当前时间转换成23.4.25.4566格式作为版本号的一部分 -->
		<VersionSuffix>$([System.DateTime]::UtcNow.ToString(yy.M.d.mmff))</VersionSuffix>
		<AssemblyVersion Condition=" '$(VersionSuffix)' == '' ">0.0.0.1</AssemblyVersion>
		<AssemblyVersion Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</AssemblyVersion>
		<Version Condition=" '$(VersionSuffix)' == '' ">0.0.1.0</Version>
		<Version Condition=" '$(VersionSuffix)' != '' ">$(VersionSuffix)</Version>
		<Product>医院绩效管理平台</Product>
	</PropertyGroup>

	<PropertyGroup>
		<PublishWithAspNetCoreTargetManifest>false</PublishWithAspNetCoreTargetManifest>
		<UserSecretsId>e732666b-5531-4cd8-b713-2fe3db31126c</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<Compile Remove="Files\**" />
		<Content Remove="Files\**" />
		<EmbeddedResource Remove="Files\**" />
		<None Remove="Files\**" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="secret.key">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="XC.RSAUtil" Version="1.3.6" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Performance.DtoModels\Performance.DtoModels.csproj" />
		<ProjectReference Include="..\Performance.Services\Performance.Services.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Content Update="appsettings.json">
			<CopyToOutputDirectory>Never</CopyToOutputDirectory>
		</Content>
		<Content Update="nlog.config">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\Performance.Api.xml">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\Performance.DtoModels.xml">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\Performance.DtoModels.xml">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
		<Content Update="wwwroot\Performance.EntityModels.xml">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

	<ItemGroup>
		<None Update="Template\东方医院绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院二次分配绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院人员绩效模板.xls">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院人员绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院绩效模板%28无执行科室%29.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院绩效模板.xls">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

	<ItemGroup>
		<None Update="Template\医院二次分配绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\医院绩效模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\导入数据模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
		<None Update="Template\工作量数据导入模板.xlsx">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</None>
	</ItemGroup>

	<ItemGroup>
		<Folder Include="wwwroot\" />
	</ItemGroup>

	<ProjectExtensions>
		<VisualStudio>
			<UserProperties appsettings_1json__JSONSchema="" appsettings_1localhost_1json__JsonSchema="https://cdn.jsdelivr.net/gh/roadrunner-server/roadrunner@latest/schemas/config/2.0.schema.json" />
		</VisualStudio>
	</ProjectExtensions>

</Project>
